Subject: bug#68660: 29.2; ELPA: Wrong type argument w. multiple maintainers in package-menu-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Feb 2024 15:08:44 -0500

OK, OK, I'll see if I can find some time&motivation to work on this.
It shouldn't be very hard,

        Stefan

J.P. [2024-02-14 11:15:06] wrote:

> Philip Kaludercic <[email-masked]> writes:
>
>> "J.P." <[email-masked]> writes:
>>
>>> Stefan has suggested renaming the `:maintainer' item in the `extras'
>>> slot of `package-desc' objects to `:maintainers' (plural). IIUC, this
>>> would have the effect of solving the issue by omitting the "Maintainer:"
>>> line item in *Help* buffers produced by `package-menu-describe-package'
>>> and friends for all packages on all Emacs versions below 30.1. 
>>
>> That also seems to be the best idea to me as well.
>
> Nice. And to be clear, by 'omitting the "Maintainer:" line', I meant
> only WRT the `describe-package' results in Emacs and (hopefully) not the
> web pages at http://elpa.gnu.org/packages/foo.html, etc.
>
>>
>>>                                                                Full
>>> remediation would, I think, also require that foo-pkg.el files and
>>> /archive-contents data hosted on elpa.gnu.org reflect the newer format.
>>
>> I am not familiar with ERC's infrastructure, shouldn't this happen
>> automatically?
>
> Yes, automatically. But I think elpa-admin would still need a shim, at
> least until such time as the Emacs running on the production instance is
> upgraded to 30.1 (or 29.3, if such a thing ever materializes). Not sure
> if it's Stefan or the GNU infra people who control this.
>
>>
>>> To help move this process along, Stefan has called for patches, but I
>>> unfortunately am unable to reciprocate because I lack the wherewithal.
>>> Hoping you're able to assist in this regard either directly, with code,
>>> or by pointing out specific areas in the Emacs code base (and possibly
>>> elpa-admin's as well) that would need addressing.
>>
>> I could help, but I don't understand what is going on well enough to
>> produce any concrete patches.
>
> Thanks. I myself don't understand the whole picture either, only what's
> readily apparent from observed behavior. I mean, I guess I can give it a
> shot, but I'll mostly be flying blind.
>
>>
>>> TIA,
>>> J.P.
>>>
>>> [1]
>>> https://lists.gnu.org/archive/html/bug-gnu-emacs/2024-01/msg01575.html